import AuthRepository from '../../domain/repositories/AuthRepository';
import AuthAPI from '../api/clients/AuthAPI';
import AuthRequest from '../api/models/AuthRequest';

class AuthRepositoryImpl implements AuthRepository {
  private authAPI: AuthAPI;

  constructor(authAPI: AuthAPI) {
    this.authAPI = authAPI;
  }

  async auth(request: AuthRequest): Promise<string> {
    const {token} = await this.authAPI.auth(request);

    return token;
  }
}

export default AuthRepositoryImpl;
