import AuthAPI from '../../api/clients/AuthAPI';
import AuthRepositoryImpl from '../AuthRepositoryImpl';

jest.mock('../../api/clients/AuthAPI');

describe('AuthRepositoryImpl tests', () => {
  it('should be defined', () => {
    expect(AuthRepositoryImpl).toBeDefined();
  });

  it('should return a token', async () => {
    const mockedAuthAPI = new AuthAPI(
      'https://api.example.com',
    ) as jest.Mocked<AuthAPI>;

    mockedAuthAPI.auth.mockResolvedValue({token: 'TOKEN'});

    const repo = new AuthRepositoryImpl(mockedAuthAPI);

    const token = await repo.auth({username: 'username', password: 'password'});

    expect(token).toBe('TOKEN');
  });
});
