import {View, Text, StyleSheet, StyleProp, ViewStyle} from 'react-native';

interface BannerProps {
  text: string;
  style?: StyleProp<ViewStyle>;
}

const Banner = ({text, style}: BannerProps) => {
  return (
    <View style={StyleSheet.compose(styles.bannerContainer, style)}>
      <Text style={styles.bannerText}>{text}</Text>
    </View>
  );
};

const styles = StyleSheet.create({
  bannerContainer: {
    justifyContent: 'center',
    paddingLeft: 8,
  },
  bannerText: {
    color: 'white',
    fontWeight: 'bold',
  },
});

export default Banner;
