import {View, ActivityIndicator, StyleProp} from 'react-native';
import {ViewStyle} from 'react-native';
import Table, {Line} from './Table';
import Status from '../../utils/Status';

interface BusListProps {
  buses: Line[];
  status: Status;
  style?: StyleProp<ViewStyle>;
}

const BusList = ({buses, status, style}: BusListProps) => {
  return (
    <View style={style}>
      {status === Status.LOADING ? (
        <ActivityIndicator testID="LOADING" />
      ) : (
        <Table data={buses} />
      )}
    </View>
  );
};

export default BusList;
