import {ReactNode} from 'react';
import {View, StyleSheet, StyleProp, ViewStyle} from 'react-native';

interface ContainerProps {
  children: ReactNode;
  style?: StyleProp<ViewStyle>;
}

const Container = ({children, style}: ContainerProps) => {
  return (
    <View style={StyleSheet.compose(styles.container, style)}>{children}</View>
  );
};

const styles = StyleSheet.create({
  container: {
    flex: 1,
  },
});

export default Container;
