import {render} from '@testing-library/react-native';
import BusList from '../BusList';
import Status from '../../../utils/Status';

describe('BusList tests', () => {
  it('should be defined', () => {
    expect(BusList).toBeTruthy();
  });

  it('should render correctly with status LOADING', () => {
    const {toJSON, getByTestId} = render(
      <BusList buses={[]} status={Status.LOADING} />,
    );

    expect(toJSON()).toMatchSnapshot();
    expect(getByTestId('LOADING')).toBeTruthy();
  });

  it('should render correctly with status SUCCESS', () => {
    const {toJSON, queryByTestId} = render(
      <BusList buses={[]} status={Status.SUCCESS} />,
    );

    expect(toJSON()).toMatchSnapshot();
    expect(queryByTestId('LOADING')).toBeNull();
  });
});
