import {render} from '@testing-library/react-native';
import Header from '../Header';

describe('Header tests', () => {
  it('should be defined', () => {
    expect(Header).toBeDefined();
  });

  it('should render correctly', () => {
    const {toJSON} = render(
      <Header title="Title" subTitle="Subtitle" image="https://urlimage.cl" />,
    );

    expect(toJSON()).toMatchSnapshot();
  });

  it('should render a title and a subtitle', () => {
    const {getByText} = render(
      <Header title="Title" subTitle="Subtitle" image="https://urlimage.cl" />,
    );

    expect(getByText('Title')).toBeDefined();
    expect(getByText('Subtitle')).toBeDefined();
  });
});
